summaryrefslogtreecommitdiffstats
path: root/source/tcl/tix/tix.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tix/tix.SlackBuild')
-rwxr-xr-xsource/tcl/tix/tix.SlackBuild26
1 files changed, 19 insertions, 7 deletions
diff --git a/source/tcl/tix/tix.SlackBuild b/source/tcl/tix/tix.SlackBuild
index cd34a5fb4..4c2170ea7 100755
--- a/source/tcl/tix/tix.SlackBuild
+++ b/source/tcl/tix/tix.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,23 +22,33 @@
# Build/install Tix the way Slackware's binary package is made:
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=tix
VERSION=8.4.3
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -48,7 +58,6 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -68,6 +77,9 @@ find . \
zcat $CWD/tix.tcl8.5.patch.gz | patch -p1 --backup --suffix=.orig || exit 1
zcat $CWD/tix.soname.patch.gz | patch -p1 || exit 1
+# Harbl hack to fix finding Tcl/Tk headers in /usr/include instead of /usr/include/generic:
+zcat $CWD/configure.private.diff.gz | patch || exit 1
+
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \